<?php
$filepath = __FILE__;
include __DIR__.'/../header.php';

function esc($v): string
{
    return isset($_REQUEST[$v]) ? htmlspecialchars($_REQUEST[$v]) : "";
}
?>

    <div class="container" id="app">
        <h1>
            tilde.team signup
            <div class="pull-right">
                <small><a href="/">&lt; back</a></small>
            </div>
        </h1>
        <h3>so you wanna join the tilde.team?</h3>

        <p>hi there. fill out this form and we'll get back to you with your account info.</p>

        <hr>

        <form method="post">
            <?php include 'signup-handler.php'; ?>

			<div>
                <label>
                    your desired username (numbers and lowercase letters only, no spaces)
                    <input class="form-control" name="username" value="<?=esc("username")?>" type="text" required>
                </label>
            </div>

			<div>
				<label>
                    email to contact you with account info
				    <input class="form-control" name="email" value="<?=esc("email")?>" type="text" required>
                </label>
			</div>

			<div>
				<label>
                    what interests you about tilde.team? we want to make sure you're a real human being :)
                    <textarea required class="form-control" name="interest" id="" cols="40" rows="7"><?=esc("interest")?></textarea>
                </label>
			</div>

			<div>
                <label>
				    SSH public key
				    <textarea required class="form-control" name="sshkey" id="" cols="30" rows="10"><?=esc("sshkey")?></textarea>
                </label>
                <p>if you don't have a key, don't worry! <a href="/wiki/ssh">check out our guide to ssh keys</a> and make sure that you only put your pubkey here</p>
            </div>

            <p>
                <em>signing up implies agreement with our <a href="/wiki/code-of-conduct">code of conduct</a> and <a href="/wiki/tos">terms of service</a>. please give them a read.</em>
            </p>
            <p>you must be at least 13 years or older to sign up and use tilde.team.</p>

            <button class="btn btn-primary" type="submit">submit</button>

        </form>
        <br>
    </div>

<?php include __DIR__.'/../footer.php';

